Atom 1.28.0 crashes on macOS 10.10.x or lower with "dyld" error


#1

Just turned on my computer and Atom suddenly won’t start up. It was working fine last night. I’m on OS X 10.0 Yosemite.

Attempting to start the application gives me the standard OS “Atom cannot be opened because of a problem.” error dialog. The full error is as follows:

Process:               Atom [688]
Path:                  /Applications/Atom.app/Contents/MacOS/Atom
Identifier:            com.github.atom
Version:               ???
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Atom [688]
User ID:               501

Date/Time:             2018-06-24 10:16:12.507 +0100
OS Version:            Mac OS X 10.10.5 (14F27)
Report Version:        11
Anonymous UUID:        F9F23241-E288-5279-7994-16C977BCE187


Time Awake Since Boot: 1000 seconds

Crashed Thread:        0

Exception Type:        EXC_BREAKPOINT (SIGTRAP)
Exception Codes:       0x0000000000000002, 0x0000000000000000

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
  Symbol not found: _CIDetectorTypeText
  Referenced from: /Applications/Atom.app/Contents/MacOS/../Frameworks/Electron Framework.framework/Electron Framework
  Expected in: /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
 in /Applications/Atom.app/Contents/MacOS/../Frameworks/Electron Framework.framework/Electron Framework

Binary Images:
       0x106c0e000 -        0x106c1afff  com.apple.StoreKit (1.0 - 376.29) <6341E873-19A4-3937-8D59-182F8720FC2C> /System/Library/Frameworks/StoreKit.framework/Versions/A/StoreKit
       
~~~ snipped due to post character limit ~~~

I’ve deleted ~/.atom to no avail. Running atom --safe from terminal gives me this error.

LSOpenURLsWithRole() failed for the application /Applications/Atom.app with error -10810.

I’ve tried downloading and reinstalling the application and am still getting the same issue.

Any help would be appreciated!


Atom crashes
"Atom cannot be opened because of a problem" on Mac
Can't even *install* Atom
Atom 1.28.0 crashes on macOS when using a proxy
Atom crashes
Atom fails to open [mac]
#2

No idea, but you could see if the beta works: https://atom.io/beta


#3

Looks like folks have run into this error on macOS 10.10.x and 10.9.x with Atom 1.28 - you can subscribe here for updates:

I think you’ll likely hit the same error on the beta but if you see any difference let us know.


#4

i’ve the same problem!

can somebody help?


#5

If you’re hitting this issue (i.e. you’re running macOS 10.10.x or lower and you’re seeing an error message similar to the one described in https://github.com/atom/atom/issues/17565), you can install Atom 1.27.2 and turn off auto-updating as described in https://github.com/atom/atom/issues/17565#issuecomment-399740133.

Feel free to subscribe to https://github.com/atom/atom/issues/17565 and the team will share more details as we get them.


Can't even *install* Atom
"Atom cannot be opened because of a problem" on Mac
Atom fails to open [mac]
#6

Thank you @rsese for the reply. Looks like the downgrading instructions will work so will try that.


#7

:+1:

Oh also, if anyone has a moment to test things out, see David’s comment here: https://github.com/atom/atom/issues/17565#issuecomment-399968632.

Edit: no need for this testing :point_up: anymore, thanks to anyone that helped :bow:


#8

FYI for those not subscribed to the issue, if you’ve been hitting this specific problem, it’s been fixed in the 1.28.1 release. Don’t forget to re-enable auto-updating if you turned that setting off.